---
title: "Retrieve PY Trade Pay Rates By Code"
slug: "retrieve-py-trade-pay-rates-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-py-trade-pay-rates-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PY Trade Pay Rates By Code

Get/hcm-rest-api/rest/1/pytrdpayrate

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Find By Code
- By UUID

#### Find By Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| EffDate | Effective Date | 2023-12-27 |
| CompCode | Company Code | 001 |
| TrdCode | Trade Code | U002 |

#### Primary Key

This is an optional finder for querying a specific Trade Pay Rate by Primary Key (TprVUuid)

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | Trade Pay Rate Row ID | D2B7447C9BA75380E05316821FAC18E5 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode; EffDate=2014-01-01, CompCode=001, TrdCode=U002
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleTprVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='a544708c-09a1-4c21-a283-0e0609571d3e'>application/json</option>
</select>

```json
{
  "items": [
    {
      "TprCompCode": "001",
      "TprCompName": "CMiC Construction Inc",
      "TprTrdCode": "U002",
      "TprEffectiveDate": "2014-01-01",
      "TprPayRate": 57,
      "TprChargeOutRate": 58.5,
      "TprBillingRate": 60,
      "TprUser": "ADWAIT",
      "TprLastUpdDate": "2015-05-04T14:01:21Z",
      "TprOtChargeRate": null,
      "TprDotChargeRate": null,
      "TprOtBillRate": null,
      "TprDotBillRate": null,
      "TprChargeMultiFlag": "N",
      "TprBillMultiFlag": "N",
      "TprOtDotPayMultiFlag": "N",
      "TprOtPayRate": null,
      "TprDotPayRate": null,
      "TprIuCreateDate": "2015-05-04T14:01:21Z",
      "TprIuUpdateDate": null,
      "DiscriminatorCode": null,
      "TprVUuid": "D2B7447C9BA75380E05316821FAC18E5",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pytrdpayrate/D2B7447C9BA75380E05316821FAC18E5",
          "name": "pytrdpayrate",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pytrdpayrate/D2B7447C9BA75380E05316821FAC18E5",
          "name": "pytrdpayrate",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pytrdpayrate",
      "name": "pytrdpayrate",
      "kind": "collection"
    }
  ]
}
```

object
